﻿
.search-container {
    display: flex;
    flex-direction: row;
    background-color: #eee;
    padding: 10px;
    justify-content: space-between;
    box-shadow: 0 1px 3px rgba(0,0,0,0.3);
    z-index: 9;
    position: fixed;
    top: 0;
    width: 100%;
}

.logo-box {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex: 1;
}

    .logo-box img {
        height: 45px;
    }

/*.search-box, .search-box:focus {
	display: flex;
	flex-direction: row;
	border-radius: 10px;
	background-color: #fff;
	flex: 5;
	justify-content: flex-start;
	align-items: center;
	color: #ccc;
	outline: none;
	text-decoration: none;
	padding: 10px;
}

	.search-box i {
		font-size: 24px;
		margin-left: 5px;
		line-height: 1;
	}*/

.slider-container {
    background-color: #f0f2f4;
    padding: 10px;
}

    .slider-container .slide-item img {
        height: 100%;
        width: 100%;
        object-fit: fill;
    }

    .slider-container .slide-item {
        width: 100%; /* full width */
        height: 170px; /* height of carousel */
    }

        .slider-container .slide-item img {
            border-radius: 10px;
        }

.category-container {
    padding: 0 5px;
    margin-bottom: 30px;
    overflow: auto;
}

.cat-item, .cat-item:hover, .cat-item:focus {
    margin: 10px 8px;
    background-color: #fff;
    border-radius: 20px;
    color: #373d49;
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 30px;
    line-height: 1;
    width: 150px;
    text-align: center;
    text-decoration: none;
    border: solid 1px #ccc;
    font-family: Vazir-M;
}

.flickity-page-dots {
    bottom: 10px;
    text-align: left;
    padding: 0 10px;
}

    .flickity-page-dots .dot {
        background-color: #fff;
        opacity: 0.5;
    }

.product-slider-box {
    margin-bottom: 15px;
    margin-top: -10px;
    padding: 0 10px;
}

    .product-slider-box.specialoffer {
        background-color: #ff1744;
        margin-bottom: 50px;
        padding: 10px;
    }

.product-slider-header {
    padding: 10px 5px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}


.product-slider-title {
    font-size: 16px;
    color: #546e7a;
    font-family: Vazir-B;
}

.product-slider-header a, .product-slider-header a:focus, .product-slider-header a:active {
    color: #536dfe;
    font-size: 11px;
    outline: none !important;
    text-decoration: none !important;
    font-family: Vazir-M;
}

.product-slider-box.specialoffer .product-slider-title {
    color: #fff;
}

.product-slider-box.specialoffer .product-slider-header a {
    color: #fff;
}

.timer-box {
    height: 50px;
    color: #000;
}

.special-offer-timer {
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    align-items: center;
    height: 30px;
}

.time-part {
    color: #000;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 10px;
    font-size: 13px;
    font-family: Vazir-B;
    position: relative;
}

    .time-part:before {
        content: ":";
        position: absolute;
        right: -15px;
        font-size: 16px;
        color: #ff1744;
        top: 0;
        width: 10px;
        height: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .time-part:last-child:before {
        content: "";
    }

.product-item, .product-item:hover, .product-item:focus {
    background-color: #fff;
    width: 200px;
    margin-left: 5px;
    margin-right: 5px;
    margin-top: 5px;
    margin-bottom: 30px;
    border: 1px solid #cfd8dc;
    font-size: 12px;
    display: block;
    outline: none;
    text-decoration: none;
    padding-bottom: 5px;
    border-radius: 15px;
}

.product-img-box {
    margin-top: 10px;
    height: 70px;
    text-align: center;
    overflow: hidden;
    position: relative;
    display: block;
}

    .product-img-box img {
        height: 100%;
        width: 100%;
        object-fit: contain;
        background-color: #fff;
    }

.promotion {
    position: absolute;
    background-color: #ff1744;
    color: #fff;
    width: 94%;
    left: 3%;
    padding: 5px 0;
    border-radius: 20px;
    opacity: 0.9;
    bottom: 0;
}

#PromotionModal {
    margin-top: 40%;
}

.promotion-title {
    text-align: center;
    margin-bottom: 20px;
    color: #ff1744;
    font-weight: 600;
    font-size: 14px;
}

.promotion-des {
    text-align: center;
    margin-bottom: 20px;
    font-weight: 600;
    line-height: 2;
}

.promotion-btn {
    text-align: center;
}

.product-title, .product-title:focus, .product-title:hover {
    height: 45px;
    padding-left: 7px;
    padding-right: 7px;
    display: block;
    text-align: center;
    line-height: 1.7;
    color: #37474f;
    outline: none;
    text-decoration: none;
    font-size: 14px;
    font-family: Vazir-M;
    margin-top: 15px;
    margin-bottom: 20px;
}

.product-config-des:not(:empty) {
    padding: 2px 0;
    display: block;
    text-align: center;
    line-height: 21px;
    color: #78909c;
    font-size: 11px;
    background-color: #f6f8fb;
    margin-top: 20px;
    margin-bottom: 10px;
}

.price-box {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-end;
    padding: 0 10px;
    height: 30px;
}

    .price-box.price-box-off {
        /*justify-content: space-between;*/
    }

.off-box:not(:empty) {
    border-radius: 2px 10px 10px 2px;
    height: 20px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ff1744;
    color: #fff;
    text-align: center;
    position: absolute;
    left: 5px;
    top: 5px;
}

.old-price {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
    height: 20px;
}

.price {
    flex: 6;
    text-align: center;
}

.price-box-off .price {
    text-align: center;
}

.product-price {
    font-family: Vazir-B;
    color: #37474f;
    font-size: 20px;
}

    .product-price .toman {
        font-size: 12px;
        margin-right: 5px;
        font-family: Vazir-M;
    }

.product-old-price {
    color: #ff1744;
    display: block;
    text-decoration: line-through;
}

    .product-old-price .toman {
        font-size: 10px;
        margin-right: 3px;
        font-family: Vazir-M;
    }

.not-available {
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    /*margin-bottom: 5px;*/
    color: red;
    font-size: 14px;
}

.buy-with-call {
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    background-color: #ff1744;
    border-radius: 20px;
    width: 60%;
    margin: 10px 20% 5px 20%;
    font-size: 11px;
}

    .buy-with-call i {
        font-size: 16px;
        margin-left: 5px;
    }

.product-action-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}

.product-config-box {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 5px 5px;
}

.config-type-box {
    display: flex;
    align-items: center;
    justify-content: center;
}

    .config-type-box span {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 50px;
        height: 26px;
        border-radius: 20px;
        border: 1px solid #999;
        margin-left: 5px;
        font-size: 11px;
        border-radius: 10px;
        color: #999;
    }

        .config-type-box span.selected {
            border: 2px solid #536dfe;
            color: #536dfe;
            font-family: vazir-b;
        }

.btn-basket-add {
    background-color: #fff;
    border: 2px solid #00c853;
    color: #00c853 !important;
    border-radius: 10px;
    height: 34px;
    width: 34px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    text-decoration: none !important;
    outline: none !important;
    font-size: 20px;
}

#AddToBasketModal .modal-header {
    border: none;
}

#AddToBasketModal .modal-dialog {
    width: 95%;
    margin: 100px auto 0 auto;
}

.basket-product-title {
    text-align: center;
    display: block;
    font-size: 14px;
    margin-bottom: 20px;
    font-family: Vazir-M;
}

.double-value-box {
    text-align: center;
    margin-bottom: 20px;
}

.double-value-item {
    display: inline-block;
    border: 1px solid #ddd;
    padding: 3px 10px;
    margin: 0 5px;
    border-radius: 5px;
    cursor: pointer;
    user-select: none;
}

    .double-value-item.selected {
        border: 1px solid #0099ff;
        color: #0099ff;
    }

.add-to-basket-box {
    background-color: #fff;
    height: 40px;
    width: 150px;
    border: 1px solid #ddd;
    border-radius: 5px;
    margin: auto;
    margin-bottom: 10px;
    justify-content: space-between;
    flex-direction: row;
    display: flex;
    align-items: center;
    font-size: 18px;
}

.btn-change-count, btn-change-count:focus {
    color: #ff1744;
    width: 38px;
    height: 38px;
    border: none !important;
    outline: none !important;
    background: none;
}

.count-error-box {
    height: 20px;
    color: #ff1744;
    text-align: center;
    margin-bottom: 10px;
    font-size: 13px;
    font-family: Vazir-M;
}

.basket-success-msg {
    color: #00aa00;
    display: block;
    text-align: center;
    font-size: 14px;
    margin-bottom: 30px;
}

.ads-container {
    padding: 0 10px;
    overflow: hidden;
    margin-top: -5px;
}

    .ads-container .col-xs-12 {
        padding: 0px;
    }

.ads-item {
    min-height: 100px;
    margin-bottom: 5px;
    padding-left: 5px;
    padding-right: 5px;
    overflow: hidden;
}

    .ads-item a {
        display: block;
        height: 100%;
    }


    .ads-item img {
        height: 100%;
        width: 100%;
        /*object-fit: cover;*/
        vertical-align: middle;
    }

#CountModal .modal-dialog {
    /*height: 80%;
	max-width: 480px;*/
}

#CountModal .modal-content {
    border-radius: 15px;
    overflow: hidden;
}

#CountModal .modal-body, #CountModal .modal-body > div {
    padding: 0;
    height: 100%;
}

.config-detail-box {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

    .config-detail-box header {
        background-color: #fff;
        padding: 10px;
        color: #000;
        text-align: center;
        font-size: 18px;
        border-bottom: 2px solid #000;
        margin: 30px auto 30px auto;
        display: block;
        max-width: 250px;
        font-family: Vazir-M;
    }

    .config-detail-box .btn {
        border-radius: 0;
        font-size: 14px;
        height: 50px;
    }

.count-list-box {
    flex: 1;
    overflow: auto;
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* پنج ستون */
    gap: 10px; /* فاصله بین آیتم‌ها */
    justify-content: start; /* تراز از راست برای ردیف آخر */
    margin-bottom: 50px;
    padding: 15px;
    max-height: 300px;
}

.count-item {
    display: inline-block;
    text-align: center;
    padding: 10px;
    font-size: 18px;
    border: 1px solid #ddd;
    border-radius: 10px;
    margin-bottom: 10px;
    box-shadow: 0 3px 5px 0 rgba(20,80,150,0.15);
    font-family: Vazir-M;
}

    .count-item code {
        font-family: Vazir;
        font-size: 11px;
        border-radius: 10px;
        color: #00994d;
        background-color: #f7f7fa;
        display: block;
    }



.brand-item, .brand-item:hover, .brand-item:focus {
    width: 170px;
    margin-left: 5px;
    margin-right: 5px;
    margin-bottom: 20px;
    font-size: 12px;
    display: inline-block;
    outline: none;
    text-decoration: none;
    padding-bottom: 5px;
    background-color: #fff;
    box-shadow: 0 1px 3px rgba(0,0,0,0.3);
}

.brand-img-box {
    padding: 5px 10px;
    height: 100px;
    text-align: center;
    overflow: hidden;
    position: relative;
    display: block;
    margin-bottom: 20px;
}

    .brand-img-box img {
        height: 100%;
        width: 100%;
        object-fit: contain;
        background-color: #fff;
    }

.brand-title, .brand-title:focus, .brand-title:hover {
    padding-left: 10px;
    padding-right: 10px;
    display: block;
    text-align: center;
    color: #000;
    outline: none;
    text-decoration: none;
    font-size: 14px;
    margin-bottom: 10px;
}

.marquee {
    margin: 0 auto;
    white-space: nowrap;
    overflow: hidden;
    box-sizing: border-box;
    height: 36px;
    margin-bottom: 0;
    background-color: #fff;
}

    .marquee span {
        margin-left: 20px;
        margin-right: 20px;
        display: inline-block;
        line-height: 36px;
        font-size: 13px;
        color: #000;
        text-decoration: none;
        position: relative;
    }

    .marquee a {
        margin-left: 20px;
        margin-right: 20px;
        display: inline-block;
        line-height: 36px;
        font-size: 13px;
        color: #0099ff;
        text-decoration: none;
        position: relative;
    }

        .marquee span:after, .marquee a:after {
            content: "";
            width: 6px;
            height: 6px;
            background-color: #00c853;
            display: inline-block;
            border-radius: 2px;
            position: absolute;
            right: -25px;
            top: 16px;
            transform: rotate(45deg);
        }

    .marquee p {
        display: inline-block;
        animation: marquee 15s linear infinite;
    }

/*.marquee p:hover {
			animation-play-state: paused
		}*/

/* Make it move */
@keyframes marquee {
    0% {
        transform: translate(0, 0);
    }

    100% {
        transform: translate(100%, 0);
    }
}

.user-ads-item, .user-ads-item:hover, .user-ads-item:focus {
    background-color: #fff;
    width: 60%;
    margin: 10px 5px;
    display: block;
    outline: none;
    text-decoration: none;
    padding-bottom: 5px;
    border: 1px solid #cfd8dc;
    border-radius: 15px;
}

.user-ads-img-box {
    padding: 7px;
    height: 150px;
    text-align: center;
    overflow: hidden;
    position: relative;
    display: block;
    margin-bottom: 10px;
}

    .user-ads-img-box img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        background-color: #fff;
        border-radius: 15px;
    }

.user-ads-title, .user-ads-title:focus, .user-ads-title:hover {
    height: 40px;
    padding-left: 10px;
    padding-right: 10px;
    display: block;
    text-align: center;
    line-height: 21px;
    margin-bottom: 20px;
    color: #000;
    outline: none;
    text-decoration: none;
    overflow: hidden;
    font-family: Vazir-M;
    font-size: 16px;
}

.user-ads-des {
    height: 85px;
    display: block;
    text-align: justify;
    line-height: 21px;
    color: #333;
    overflow: hidden;
    padding: 0 10px;
}

.send-ads-box {
    text-align: center;
    margin-bottom: 30px;
}

    .send-ads-box .btn {
        display: block;
        width: calc(100% - 30px);
        height: 40px;
        margin: auto;
        border-radius: 10px;
        font-size: 16px;
    }

.link-box {
    padding: 15px;
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .link-box li {
        margin-bottom: 20px;
    }

        .link-box li a, .link-box li a:focus {
            color: #000;
            outline: none;
            text-decoration: none;
            display: flex;
            justify-content: center;
            flex-direction: row;
            align-items: center;
            width: 120px;
            height: 40px;
            margin: 0 5px;
            border-radius: 13px;
            background-color: #fff;
            font-family: Vazir-M;
            border: 1px solid #999;
        }

            .link-box li a i {
                vertical-align: middle;
                font-size: 20px;
                line-height: 1;
                margin-left: 5px;
            }

    .link-box .fa-info {
        color: #0099ff;
    }

    .link-box .fa-phone {
        color: #0bb753;
    }

    .link-box li a span {
        height: 30px;
        line-height: 30px;
    }
